# Uses of Enum Class
javafx.scene.control.TableColumn.SortType

Packages that use TableColumn.SortType
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TableColumn.SortType in javafx.scene.control

Methods in javafx.scene.control that return TableColumn.SortType
Modifier and Type
Method
Description
`final TableColumn.SortType`
TableColumn.`getSortType()`
Gets the value of the `sortType` property.
`static TableColumn.SortType`
TableColumn.SortType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TableColumn.SortType[]`
TableColumn.SortType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type TableColumn.SortType
Modifier and Type
Method
Description
`final ObjectProperty<TableColumn.SortType>`
TableColumn.`sortTypeProperty()`
Used to state whether this column, if it is part of a sort order (see `TableView.getSortOrder()` for more details), should be sorted in ascending or descending order.
Methods in javafx.scene.control with parameters of type TableColumn.SortType
Modifier and Type
Method
Description
`final void`
TableColumn.`setSortType(TableColumn.SortType value)`
Sets the value of the `sortType` property.